//! Wanted to add some ez component and system for resetting objects

use avian3d::prelude::*;
use bevy::prelude::*;

pub struct EzResetPlugin;

impl Plugin for EzResetPlugin {
    fn build(&self, app: &mut App) {
        app.add_systems(Update, ez_reset_resetable);
    }
}

#[derive(Component)]
pub struct EzResetable {
    pub transform: GlobalTransform,
}

fn ez_reset_resetable(
    mut query: Query<(&mut Position, &mut Rotation, &mut LinearVelocity, &mut AngularVelocity, &EzResetable), With<EzResetable>>,
    keyboard: Res<ButtonInput<KeyCode>>,
) {
    if keyboard.just_pressed(KeyCode::KeyR) {
        for (mut position, mut rotation, mut linear_velocity, mut angular_velocity, ez_reset) in &mut query {
            *position = Position::from(ez_reset.transform);
            *rotation = Rotation::from(ez_reset.transform);
            *linear_velocity = LinearVelocity::ZERO;
            *angular_velocity = AngularVelocity::ZERO;
        }
    }
}
